Bug 1118819 - pushd, popd, dirs not built for ksh
Summary: pushd, popd, dirs not built for ksh
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 15:21 UTC by D. E. Evans
Modified: 2015-09-04 09:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 09:11:07 UTC


Attachments (Terms of Use)

Description D. E. Evans 2014-07-11 15:21:35 UTC
Description of problem:
pushd, popd, and dirs do not exist on Fedora.

Version-Release number of selected component (if applicable):


How reproducible:
rpm -ql ksh

Actual results:
ksh: pushd: not found [No such file or directory]

Expected results:
pushd, popd, and dirs should be available for ksh (and other shells that support them).

Additional info:
They must be built separately (though they come with the upstream Korn shell source), as they are not built-in commands like with Bash.

See bug 1067149.

Comment 1 Fedora End Of Life 2015-05-29 12:21:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Michal Hlavinka 2015-09-04 09:11:07 UTC
We've considered this and decided not to include it as default for all users. Those functions (as available in ksh) are more like workarounds. They manipulate with aliases, replace cd function and work in user's namespace.


Note You need to log in before you can comment on or make changes to this bug.